/*
Theme Name: Impreza Child
Template: Impreza
Version: 1.0
Author:	UpSolution
Theme URI: http://impreza.us-themes.com/
Author URI: http://us-themes.com/
*/

/*Add your own styles here:*/
add_filter('wpml_user_can_translate', function ($user_can_translate, $user){
    if (in_array('editor', (array) $user->roles, true) && current_user_can('translate')) {
        return true;
    }
       
    return $user_can_translate;
}, 10, 2);

add_filter('wpml_override_is_translator', function ($is_translator, $user_id, $args){
    $user = get_user_by('id', $user_id);
 
    if (in_array('editor', (array) $user->roles, true)) {
        return true;
    }
 
    return $is_translator;
}, 10, 3);